/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Mar-09-2012 08:19:35pm
Filepath: scripts\Mobiles\custom mobiles - to sort\ML Named\Thrasher.cs
Lines of code: 90

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "an thrasher corpse" )]
	public class thrasher : BaseCreature
	{
		public override WeaponAbility GetWeaponAbility()
		{
			switch ( Utility.Random( 2 ) )
			{
			default:				
				case 0: return WeaponAbility.Dismount;
				case 1: return WeaponAbility.ArmorIgnore;
			}
		}		
	
		[Constructable]
		public thrasher() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.20, 0.23 )
		{
			Name = "Thrasher";
			Body = 0xCA;
			Hue = 1175;
			BaseSoundID = 660;

			SetStr( 94, 100 );
			SetDex( 235, 255 );
			SetInt( 20, 28 );

			SetHits( 684, 700 );
			SetStam( 235, 250 );
			SetMana( 20, 28 );

			SetDamage( 10, 20 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 50, 60 );
			SetResistance( ResistanceType.Fire, 26, 32 );
			SetResistance( ResistanceType.Poison, 30, 34 );

			SetSkill( SkillName.MagicResist, 118.8, 120.8 );
			SetSkill( SkillName.Meditation, 109.6, 111.6 );
			SetSkill( SkillName.Tactics, 103.3, 113.3 );
			SetSkill( SkillName.Wrestling, 99.1, 111.4 );

			Fame = 5000;
			Karma = -5000;

			VirtualArmor = 40;
		
		}
		public override void GenerateLoot()
		{
			AddLoot( LootPack.UltraRich );
			AddLoot( LootPack.FilthyRich, 2 );
			AddLoot( LootPack.Gems, 6 );
		}

		public override bool IsMLBoss { get { return true;} }
		public override int TreasureMapLevel{ get{ return 6; } }
		public override double MLChestChance{ get{ return 0.05; } }
		
		public override int Meat { get { return 1; } }
		public override int Hides { get { return 12; } }
		public override HideType HideType { get { return HideType.Spined; } }
		public override bool IsMLCreature { get { return true;} }
		public override bool Uncalmable{ get{ return true; } }

	
	public override void OnDeath( Container c )
{
	if ( Utility.Random( 15 ) == 0 )
	{
		Item item;

		switch ( Utility.Random( 1 ))
		{
                        default:
			case 1: item = new ThrashersTail(); break;
					}

		c.DropItem( item );
	}

	base.OnDeath( c );
}

		public thrasher( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if ( BaseSoundID == 0x5A )
			{
				BaseSoundID = 660;
			}
		}
	}
}
